% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexicon-test.pl,v $
%%  $Revision: 1.3 $
%%      $Date: 2006/08/17 08:35:54 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile '--->'/2.


das ~~> @det(nom_or_acc,sg,neu,strong,def).


der ~~> @det(nom,sg,mas,strong,def).

% wir gedenken der Frau
% wir helfen der Frau
der ~~> @det(gen_or_dat,sg,fem,strong,def).


% dem Mann/Buch
dem ~~>  @det(dat,sg,mas_or_neu,strong,def).

% den Mann
den ~~> @det(acc,sg,mas,strong,def).


des ~~> @det(gen,sg,mas_or_neu,strong,def).

die ~~> @det(nom_or_acc,sg,fem,strong,def).


die ~~> @det(nom_or_acc,pl,strong,def).
den ~~> @det(dat,       pl,strong,def).
der ~~> @det(gen,       pl,strong,def).


ein   ~~> @det(nom,       sg,mas,       weak,  ein).
ein   ~~> @det(nom_or_acc,sg,neu,       weak,  ein).
eine  ~~> @det(nom_or_acc,sg,fem,       strong,ein).
einen ~~> @det(acc,       sg,mas,       strong,ein).
einem ~~> @det(dat,       sg,mas_or_neu,strong,ein).

einer ~~> @det(gen_or_dat,sg,fem,       strong,ein).
eines ~~> @det(gen,       sg,mas_or_neu,strong,ein).




wurst   ~~> @noun(case,fem,sg,wurst).
würste  ~~> @noun(nom_or_gen_or_acc,fem,pl,wurst).
würsten ~~> @noun(dat,              fem,pl,wurst).



% adjektivisch flektierte Nomina
% Die Flexionsinformation ist identisch mit der der Adjektive,
% außer daß das Genus nie neutrum ist, da Beamte immer mas
% oder fem sind.
%
% Auskommentierte Formen werden nicht gebraucht. Bei Adjektiven sind
% sie notwendig, da der Artikel wegfallen kann:
%
% Er rechnet mit frischer Milch.
%
% Für den Nominativ & Akkusativ braucht man die Formen aber, da in Kopulakonstruktionen
% der Artikel wegfallen kann zulässig ist.
% 
% Er ist Beamter.
% Er ließ ihn Beamten werden.


beamte ~~> @adj_noun(nom_or_acc,fem,        sg,dtype, beamter).
beamte ~~> @adj_noun(nom,       mas,        sg,strong,beamter).
beamte ~~> @adj_noun(nom_or_acc,fem_or_mas, pl,weak,  beamter).



sie   ~~> @pers_pronoun(nom_or_acc,third,pl).
ihrer ~~> @pers_pronoun(gen,       third,pl).
ihnen ~~> @pers_pronoun(dat,       third,pl).


% Expletivum

es    ~~> expl_pronoun.


% Possessivpronomina


ihrer ~~> @possessive(gen_or_dat,third, sg,fem,sg,fem,       strong).
ihrer ~~> @possessive(gen,       third, sg,fem,pl,genus,     strong).

ihres ~~> @possessive(gen,       third, sg,fem,sg,mas_or_neu,strong).



% Relativpronomina


das    ~~> @rel_pronoun(nom_or_acc,third,sg,neu).



dessen ~~> @possessive_rel_pronoun(sg,mas_or_neu).
deren  ~~> @possessive_rel_pronoun(sg,fem).


% Verben


lach    ~~> @intrans_verb(lachen),
            @vflex_fk(v_weak),
 
            @vflex_ep(minus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
            @vflex_em(minus),
            @vflex_bet1(plus).


schlaf ~~> @intrans_verb(schlafen),
           @pres2_stem(a_ schläf),
           @past_stem(a_ schlief),
            
           @vflex_fk(v_strong),
           @vflex_ep(minus),
           @vflex_evp(minus),
           @vflex_epp(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).


sterb  ~~> @intrans_unacc_verb(sterben),
           @pres2_stem(a_ stirb),
           @past_stem(a_ starb),
           @part_stem(a_ storb),
           
           @conj_stem(a_ stürb),
           @imp2_stem,
           @vflex_fk(v_strong),
              
           @vflex_ep(minus),
           @vflex_evp(minus),
           @vflex_epp(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).













