% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: rules.pl,v $
%%  $Revision: 1.10 $
%%      $Date: 2007/03/05 11:26:29 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile rule/2.

% Diese Datei kann ignoriert werden, sie hilft nur dem Parser
% und wird aus technischen Gründen gebraucht.

h_arg ## (head_argument_phrase,
             loc:cat:head:initial:plus,
             head_dtr:HeadDtr,
             non_head_dtrs:[NonHeadDtr])
  ===>
sem_head> HeadDtr,
cat>      NonHeadDtr.


arg_h ## (head_argument_phrase,
             loc:cat:head:initial:minus,
             head_dtr:HeadDtr,
             non_head_dtrs:[(NonHeadDtr,
                             @argument_sign   % speed + Regelberechnung
                            )])
  ===>
cat>      NonHeadDtr,
sem_head> HeadDtr.



h_adj ## (head_adjunct_phrase,
             head_dtr:HeadDtr,
             non_head_dtrs:[(NonHeadDtr,
                             loc:cat:head:pre_modifier:minus)])
  ===>
cat>      HeadDtr,
sem_head> NonHeadDtr.

adj_h ## (head_adjunct_phrase,
             head_dtr:HeadDtr,
             non_head_dtrs:[(NonHeadDtr,
                             loc:cat:head:pre_modifier:plus)])
  ===>
sem_head> NonHeadDtr,
cat>      HeadDtr.

spr_h ## (head_specifier_phrase,
             head_dtr:(HeadDtr,
                       loc:cat:head:noun        % speed + Regelberechnung
                      ),
             non_head_dtrs:[(NonHeadDtr,
                             loc:cat:head:det,   % speed + Regelberechnung
                             trace:minus         % speed: steht eigentlich im Lexikon
                            )])
  ===>
cat>      NonHeadDtr,
sem_head> HeadDtr.

v1 ## (verb_initial_rule,
          non_head_dtrs:[NonHeadDtr])
  ===>
sem_head>      NonHeadDtr.

